<?
include_once("./_common.php");

if ($is_admin != "super")
  alert("관리자만 실행가능합니다.", $g4[path]);


//이미지 업로드 주소
$group_path = "$g4[path]/data/file/index";


//파일 이미지 업로드

// 디렉토리가 없다면 생성합니다. (퍼미션도 변경하구요.)
// 게시판 디렉토리 생성
@mkdir($group_path, 0707);
@chmod($group_path, 0707);

$file = $group_path . "/index.php";
$f = @fopen($file, "w");
@fwrite($f, "");
@fclose($f);
@chmod($file, 0606);




if(!$se_03){




   //메인 환경설정 업데이트   
   if(!$bo_table && !$gr_id){

    //빌더 테이블
    $sql = " set    po_subject = '$po_subject', 
	                po_poll1 = '$po_poll1',
	                po_poll2 = '$po_poll2',
	                po_poll3 = '$po_poll3',
                    po_poll4 = '$po_poll4',
                    po_poll5 = '$po_poll5',
                    po_poll6 = '$po_poll6',
                    po_poll7 = '$po_poll7',
                    po_poll8 = '$po_poll8',
                    po_poll9 = '$po_poll9',
                    po_poll10 = '$po_poll10',
                    po_poll11 = '$po_poll11',
                    po_poll12 = '$po_poll12',
                    po_poll13 = '$po_poll13',
                    po_poll14 = '$po_poll14',
                    po_poll15 = '$po_poll15',
                    po_poll16 = '$po_poll16',
                    po_poll17 = '$po_poll17',
                    po_cnt1 = '$po_cnt1',
                    po_cnt2 = '$po_cnt2',
                    po_cnt3 = '$po_cnt3',
                    po_cnt4 = '$po_cnt4',
                    po_cnt5 = '$po_cnt5',
                    po_cnt6 = '$po_cnt6',
                    po_cnt7 = '$po_cnt7',
                    po_cnt8 = '$po_cnt8',
                    po_cnt9 = '$po_cnt9',
                    po_cnt10 = '$po_cnt10',
                    po_cnt11 = '$po_cnt11',
                    po_cnt12 = '$po_cnt12',
                    po_cnt13 = '$po_cnt13',
                    po_cnt14 = '$po_cnt14',
                    po_cnt15 = '$po_cnt15',
                    po_cnt16 = '$po_cnt16',
                    po_cnt17 = '$po_cnt17',
                    po_cnt18 = '$po_cnt18',
                    po_cnt19 = '$po_cnt19'
                     ";

	   //자료 유무검사
	   $mct     = " po_poll1      = '$po_poll1' ";
	   $mct    .= " and po_poll2  = 'head_sub' ";
	   $row = sql_fetch("select count(*) as cnt from $g4[site_bill]  where $mct ");

	   if($row[cnt]){
        sql_query(" update $g4[site_bill] $sql where  $mct ");

	   }
	   else{
         $result  = sql_query(" insert into $g4[site_bill] set po_subject  = 'head_sub',
		                                                       po_poll1    = 'skin',
															   po_poll2    = 'head_sub',
															   po_poll3    = '$po_poll3' 
															   ");
	   }

   }
   //그릅 환경설정 업데이트
   else if($gr_id){
	   /**
  $po_poll6 = $po_poll4; //정렬위치
  $po_cnt1  = $po_poll5;//전체폭
  $po_cnt2  = $po_poll6;//좌측폭
  $po_cnt3  = $po_poll7;//메인폭
  $po_cnt10 = $po_poll8;//좌/메인여백
  $po_cnt11 = $po_poll9;//메인/우측여백
  **/


    $sql_gr_id = " set  po_poll6 = '$po_poll4',  
                    po_cnt1 = '$po_poll5',
                    po_cnt2 = '$po_poll6',
                    po_cnt3 = '$po_poll7',
                    po_cnt10 = '$po_poll8',
                    po_cnt11 = '$po_poll9'
                     ";

	   //자료 유무검사
	   $mct     = " po_poll1      = '$gr_id' ";
	   $mct    .= " and po_poll9  = 'gr_id' ";
	   $row = sql_fetch("select count(*) as cnt from $g4[site_bill]  where $mct ");

	   if($row[cnt]){
        sql_query(" update $g4[site_bill] $sql_gr_id where  $mct ");

	   }
   }


	   //그릅페이지에 동일적용 ( 메인 및 그릅페이지 )
	   if($all_set){
      $sql_gr_id = " set  po_poll6 = '$po_poll4',  
                          po_cnt1 = '$po_poll5',
                          po_cnt2 = '$po_poll6',
                          po_cnt3 = '$po_poll7',
                          po_cnt10 = '$po_poll8',
                          po_cnt11 = '$po_poll9'
                         ";

		$all_mct  = " po_poll9 = 'gr_id' ";
        sql_query(" update $g4[site_bill] $sql_gr_id where  $all_mct ");
	   }


if($bo_table){
$url_path = $g4[bbs_path]."/board.php?bo_table=".$bo_table;
}
elseif(!$bo_table && $gr_id){
$url_path = $g4[path]."/index.php?gr_id=".$gr_id;
}
else{
$url_path = $g4[path];
}

}

if($se_03){


    //메인 업데이트
	if(!$bo_table && !$gr_id){

	   //자료 유무검사
	   $mct     = " po_poll1      = '$po_poll1' ";
	   $mct    .= " and po_poll2  = 'head_sub' ";

	   $po_poll3 = $se_02;
	   $row = sql_fetch("select count(*) as cnt from $g4[site_bill]  where $mct ");

	   if($row[cnt]){
        sql_query(" update $g4[site_bill] set po_poll3    = '$po_poll3' where  $mct ");

	   }

	}

	else if($gr_id){
    $po_poll10 = $se_02;
    $sql_gr_id = " set po_poll10    = '$po_poll10'  ";

	   //자료 유무검사
	   $mct     = " po_poll1      = '$gr_id' ";
	   $mct    .= " and po_poll9  = 'gr_id' ";
	   $row = sql_fetch("select count(*) as cnt from $g4[site_bill]  where $mct ");

	   if($row[cnt]){
        sql_query(" update $g4[site_bill] $sql_gr_id where  $mct ");

	   }

	}



if($bo_table){
$url_path = $g4[bbs_path]."/board.php?bo_table=".$bo_table."&act=".$act;
}
elseif(!$bo_table && $gr_id){
$url_path = $g4[path]."/index.php?gr_id=".$gr_id."&act=".$act;
}
else{
$url_path = $g4[path]."?act=".$act;
}

}


goto_url($url_path);

?>
